#include <bits/stdc++.h>
 main()
 {
 	long long int N;
 	scanf("%lld",&N);
 	long long int A[N];
 	int maxind,max=-1;
 	
 	for(int i=0;i<N;i++)
 		{
 			scanf("%lld",&A[i]);
			 if(A[i>max])
			 {
			 	max=A[i];
			 	maxind=i;
			 }		
	    }

 	for(int i=0;i<N;i++)
 	{
 		if(N==2)
 		{
 			int temp=A[0];
			 A[0]=A[1];
			 A[1]=temp;	
			 break;
		}
 		
 		if(A[maxind]>A[i] && N!=2)
 		{
 			int temp=A[maxind];
			 A[maxind]=A[i];
			 A[i]=temp;
			 break;	
		}
	}	
	
	for(int i=0;i<N;i++)
		printf("%lld ",A[i]);
 }